Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JCEECPublicKey

    java.lang.Object
      |
      +--org.bouncycastle.jce.provider.JCEECPublicKey

All Implemented Interfaces:
  BCECKey, BCECPublicKey, ECKey, ECPublicKey, java.security.Key, java.security.PublicKey, java.io.Serializable

public class JCEECPublicKey
extends java.lang.Object
implements ECPublicKey, BCECPublicKey

See Also:
  Serialized Form

Field Summary

Fields inherited from interface java.security.PublicKey
`serialVersionUID`

Method Summary
`java.lang.String` | `getAlgorithm()`
`byte[]` | `getEncoded()`
`java.lang.String` | `getFormat()`
`ECParameterSpec` | `getParameters()` return a parameter specification representing the EC domain parameters for the key.
`ECParameterSpec` | `getParams()` return a parameter specification representing the EC domain parameters for the key.
`ECPoint` | `getQ()` return the public point Q
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getAlgorithm

    public java.lang.String getAlgorithm()

  Specified by:
    `getAlgorithm` in interface `java.security.Key`

### getFormat

    public java.lang.String getFormat()

  Specified by:
    `getFormat` in interface `java.security.Key`

### getEncoded

    public byte[] getEncoded()

  Specified by:
    `getEncoded` in interface `java.security.Key`

### getParams

    public ECParameterSpec getParams()

  Description copied from interface: `ECKey`
  return a parameter specification representing the EC domain parameters for the key.

  Specified by:
    `getParams` in interface `ECKey`

### getParameters

    public ECParameterSpec getParameters()

  Description copied from interface: `BCECKey`
  return a parameter specification representing the EC domain parameters for the key.

  Specified by:
    `getParameters` in interface `BCECKey`

### getQ

    public ECPoint getQ()

  Description copied from interface: `ECPublicKey`
  return the public point Q

  Specified by:
    `getQ` in interface `ECPublicKey`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD